package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.List;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "盲票组创建参数")
@Data
public class TicketBoxCreateParam {

	@NotNull(message = "盲票类型不能为空")
	@ApiModelProperty(value = "盲票类型",required=true)
	private TicketTypeEnum type;

	@NotNull(message = "盲票组标题不能为空")
	@ApiModelProperty(value = "盲票组标题",required=true)
	private String title;

	@NotNull(message = "图片不能为空")
	@ApiModelProperty(value = "图片",required=true)
	private String picUrl;

	@ApiModelProperty("销售渠道类型  1 所有渠道 2 指定渠道")
	private Integer saleChannelType;

	@ApiModelProperty("渠道商id列表")
	private List<Long> channelIdList;

	@ApiModelProperty(value = "原价", required = false)
	private Integer originPrice;

	@NotNull(message = "面值不能为空")
	@ApiModelProperty(value = "面值",required=true)
	private Integer facePrice;

	@NotNull(message = "售价不能为空")
	@ApiModelProperty(value = "售价",required=true)
	private Integer salePrice;

	@NotNull(message = "数量不能为空")
	@ApiModelProperty(value = "数量",required=true)
	private Integer quantity;

	@ApiModelProperty(value = "每包张数，线下票时必传",required=false)
	private Integer pkgUnit;

	@ApiModelProperty(value = "盲票包采购单价，线下票时必传",required=false)
	private Integer pkgSalePrice;

	@NotNull(message = "分佣基数不能为空")
	@ApiModelProperty(value = "分佣基数",required=true)
	private BigDecimal saleCommRate;

	@NotEmpty(message = "奖级列表不能为空")
	@ApiModelProperty(value = "奖级列表",required=true)
	List<TicketAwardsParam> awardsList;
}
