package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 盲票组更新入参类
 * @author Cup
 * @date 2022/4/26
 */
@ApiModel(value= "盲票组更新入参类")
@Data
public class TicketBoxUpdateParam {

    @ApiModelProperty(value = "盲票组ID")
    private String boxId;

    @ApiModelProperty(value = "盲票组标题")
    private String title;

    @ApiModelProperty(value = "图片")
    private String picUrl;

    @NotNull(message = "售价不能为空")
    @ApiModelProperty(value = "售价",required=true)
    private Integer salePrice;

    @ApiModelProperty(value = "原价", required = false)
    private Integer originPrice;

    @ApiModelProperty("销售渠道类型  1 所有渠道 2 指定渠道")
    private Integer saleChannelType;

    @ApiModelProperty("渠道商id列表")
    private List<Long> channelIdList;

    @ApiModelProperty(value = "盲票包采购单价，线下票时必传")
    private Integer pkgSalePrice;

    @ApiModelProperty(value = "分佣基数")
    private BigDecimal saleCommRate;

    @ApiModelProperty(value = "奖级列表")
    List<TicketAwardsParam> awardsList;
}
